models:
  Lang:
    name: string
    slug: string
    relationships:
      hasOne: Contact
      hasMany: Category
      # hasMany: Services
      # hasMany: Faq
      # hasMany: Team
      # hasMany: Gallery
      # hasMany: Testimonial

  Contact:
    website_name: string
    phone: string
    second_phone: string nullable
    whatsapp: string nullable
    facebook: string nullable
    x: string nullable
    instagram: string nullable
    youtube: string nullable
    google_map: string nullable
    linkedin: string nullable
    bio: text nullable
    founded_at: string nullable
    relationships:
      belongsTo: Lang

  Category:
    name: string
    type: string
    description: text nullable
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: Lang
      hasMany: Data
      # hasMany: Blog

  BlogCategory:
    title: string
    description: text nullable
    relationships:
      belongsTo: Lang
      hasMany: Blog
  Blog:
    title: string
    content: text
    thumbnail: string nullable
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    published_at: timestamp nullable
    relationships:
      belongsTo: BlogCategory

  Tags:
    name: string
    relationships:
      hasMany: Blog

  Data:
    title: string
    text: text
    media: string
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: Category

  Testimonial:
    name: string
    position: string nullable
    description: text
    profile: string nullable
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: Lang

  Services:
    name: string
    icon: string
    link: string nullable
    description: text
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: Lang
      hasMany: Faq

  Faq:
    question: string
    answer: text
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: Lang

  GalleryCategory:
    name: string
    slug: string
    relationships:
      belongsTo: Lang
      hasMany: Gallery

  Gallery:
    title: string
    description: text nullable
    media: string nullable
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: GalleryCategory


  Team:
    name: string
    phone: string
    facebook: string nullable
    x: string nullable
    profile: string nullable
    instagram: string nullable
    linkedin: string nullable
    bio: text
    relationships:
      belongsTo: Lang

  ContactForm:
    name: string
    email: string nullable
    phone: string
    text: text

  Newsletter:
    email: string

  Pricing:
    title: string
    is_featured: boolean default:false
    price: decimal:10,2
    currency: string default:USD
    description: text nullable
    features: json nullable
    relationships:
      belongsTo: Lang


  DashboardSettings:
    show_lang: boolean
    show_contact: boolean
    show_category: boolean
    show_data: boolean
    show_blog: boolean
    show_testimonial: boolean
    show_services: boolean
    show_faq: boolean
    show_team: boolean
    show_contact_form: boolean
    show_gallery: boolean
    template: string

  ServicesProviderRequest:
    domain: string
    request: text
    respons: text nullable
  #   relationships:
  #     hasMany: ServicesProviderRespons

  # ServicesProviderRespons:
  #   domain: string
  #   author: string

  #   respons: text
  #   relationships:
  #     hasMany: ServicesProviderRequest



  Sliders:
    title: string
    description: text nullable
    media: string
    button: string nullable
    button_link: string nullable
    relationships:
      belongsTo: Lang

  Icons:
    icon: string
    title: string
    description: string nullable
    relationships:
      belongsTo: Lang

  Clients:
    name: string
    logo: string
    link: string nullable
    relationships:
      belongsTo: Lang

  CTA:
    title: string
    description: text nullable
    button: string nullable
    button_link: string nullable
    relationships:
      belongsTo: Lang


  StateIcons:
    icon: string
    title: string
    description: string nullable
    relationships:
      belongsTo: Lang



  HomePage:
    sliders: boolean default:true
    sliders_order: integer nullable

    cta: boolean default:true
    cta_order: integer nullable

    about: boolean default:true
    about_order: integer nullable

    clients: boolean default:true
    clients_order: integer nullable

    stateIcon: boolean default:true
    stateIcon_order: integer nullable

    blog: boolean default:true
    blog_order: integer nullable

    gallery: boolean default:true
    gallery_order: integer nullable

    team: boolean default:true
    team_order: integer nullable

    pricing: boolean default:true
    pricing_order: integer nullable

    newsletter: boolean default:true
    newsletter_order: integer nullable

    contactForm: boolean default:true
    contactForm_order: integer nullable

    testimonial: boolean default:true
    testimonial_order: integer nullable

    faq: boolean default:true
    faq_order: integer nullable

  FooterLinks:
    title: string
    link: json
    relationships:
      belongsTo: Lang
  Pricing:
    title: string
    is_featured: boolean default:false
    price: decimal:10,2
    currency: string default:USD
    description: text nullable
    features: json nullable
    relationships:
      belongsTo: Lang

  GalleryCategory:
    name: string
    slug: string
    relationships:
      belongsTo: Lang
      hasMany: Gallery

  Gallery:
    title: string
    description: text nullable
    media: string nullable
    slug: string
    seo_title: string nullable
    seo_description: string nullable
    seo_keywords: text nullable
    relationships:
      belongsTo: GalleryCategory


  Icons:
    icon: string
    title: string
    description: string nullable
    relationships:
      belongsTo: Lang
  CTA:
    title: string
    description: text nullable
    button: string nullable
    button_link: string nullable
    relationships:
      belongsTo: Lang
Logo:
    main_logo: string
    footer_logo: string nullable
    favicon: string nullable
